package com.ruoyi.system.service.impl;

import com.ruoyi.common.core.domain.entity.Region;
import com.ruoyi.system.mapper.RegionMapper;
import com.ruoyi.system.service.IRegionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 地区信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-08-23
 */
@Service
public class RegionServiceImpl implements IRegionService 
{
    @Autowired
    private RegionMapper regionMapper;

    /**
     * 查询地区信息
     * 
     * @param code 地区信息主键
     * @return 地区信息
     */
    @Override
    public Region selectRegionByCode(String code)
    {
        return regionMapper.selectRegionByCode(code);
    }

    /**
     * 查询地区信息列表
     * 
     * @param region 地区信息
     * @return 地区信息
     */
    @Override
    public List<Region> selectRegionList(Region region)
    {
        return regionMapper.selectRegionList(region);
    }

    /**
     * 新增地区信息
     * 
     * @param region 地区信息
     * @return 结果
     */
    @Override
    public int insertRegion(Region region)
    {
        return regionMapper.insertRegion(region);
    }

    /**
     * 修改地区信息
     * 
     * @param region 地区信息
     * @return 结果
     */
    @Override
    public int updateRegion(Region region)
    {
        return regionMapper.updateRegion(region);
    }

    /**
     * 批量删除地区信息
     * 
     * @param codes 需要删除的地区信息主键
     * @return 结果
     */
    @Override
    public int deleteRegionByCodes(String[] codes)
    {
        return regionMapper.deleteRegionByCodes(codes);
    }

    /**
     * 删除地区信息信息
     * 
     * @param code 地区信息主键
     * @return 结果
     */
    @Override
    public int deleteRegionByCode(String code)
    {
        return regionMapper.deleteRegionByCode(code);
    }

    @Override
    public int batchInsert(List<Region> regionList) {
        return regionMapper.batchInsert(regionList);
    }
}
